MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
MixerControl.hxx File Reference

Functions which manipulate a Mixer object. More...

Go to the source code of this file.

## Functions
Mixer * | mixer_new (EventLoop &event_loop, const MixerPlugin &plugin, AudioOutput &ao, MixerListener &listener, const ConfigBlock &block)
| Throws std::runtime_error on error. More...
void | mixer_free (Mixer *mixer)
void | mixer_open (Mixer *mixer)
| Throws std::runtime_error on error. More...
void | mixer_close (Mixer *mixer)
void | mixer_auto_close (Mixer *mixer)
| Close the mixer unless the plugin's "global" flag is set. More...
int | mixer_get_volume (Mixer *mixer)
| Throws std::runtime_error on error. More...
void | mixer_set_volume (Mixer *mixer, unsigned volume)
| Throws std::runtime_error on error. More...

## Detailed Description

Functions which manipulate a Mixer object.

Definition in file MixerControl.hxx.

## Function Documentation

void mixer_auto_close | ( | Mixer * | mixer | ) |

Close the mixer unless the plugin's "global" flag is set.

This is called when the AudioOutput is closed.

void mixer_close | ( | Mixer * | mixer | ) |

void mixer_free | ( | Mixer * | mixer | ) |

int mixer_get_volume | ( | Mixer * | mixer | ) |

Throws std::runtime_error on error.

Mixer* mixer_new | ( | EventLoop & | event_loop,
|  | const MixerPlugin & | plugin,
|  | AudioOutput & | ao,
|  | MixerListener & | listener,
|  | const ConfigBlock & | block
| ) |  |

Throws std::runtime_error on error.

void mixer_open | ( | Mixer * | mixer | ) |

Throws std::runtime_error on error.

void mixer_set_volume | ( | Mixer * | mixer,
|  | unsigned | volume
| ) |  |

Throws std::runtime_error on error.